Android Build Error: Multiple Dex filed defined İn İonic

İf you get this error just implement following steps;

  1. Go to \plugins\com.phonegap.plugins.facebookconnect\platforms\android\FacebookLib\libs
  2. Replace android-support-v4.jar with android-support-v13.jar (you can find the v13 file here http://www.java2s.com/Code/Jar/a/Downloadandroidsupportv13jar.htm).
  3. Text replace all android-support-v4 in it with android-support-v13 (2 occurences).
  4. In \plugins\com.phonegap.plugins.facebookconnect\platforms\android\FacebookLib (one level above), edit build.gradle and under the dependencies section, text replace support-v4 with support-v13
  5. To remove any caches and intermediate builds, I re-added the android platform to the project. In ionic:
    ionic platform rm android
    ionic platform add android
  6. Rebuild your project.
Figen Önün Kâşif on 22 Ocak 2016 yazdı
Yorum Ekle
  • 0 Yanıt(lar)
  • Yanıtınız

    Cevabınızı göndererek Gizlilik Politikası ve Hizmet Şartlarını kabul ediyorsunuz.